Skip to main content

Check out Port for yourself ➜ 

Get all action runs

GET 

/v1/actions/runs

This route allows you to fetch all action runs in your Port account. The route will perform a logical AND between all query parameters below, and return all action runs that match the criteria.

Pagination: Results are sorted by creation time (newest first). Use the next token from the response to fetch subsequent pages. When next is absent, there are no more results. Note that RBAC filtering may cause a page to contain fewer items than limit, or even return an empty runs array while next is still present — always use the absence of next as the signal that there are no more results.

To learn more about action runs, check out the documentation.

Version parameter

Set the version parameter to v2 for the latest version of the API.

Request

Responses

Retrieved successfully.